summaryrefslogtreecommitdiffstats
path: root/ubuntu/raring/tdebase/debian/prune-nonfree
diff options
context:
space:
mode:
authorTimothy Pearson <kb9vqf@pearsoncomputing.net>2013-03-28 14:13:18 -0500
committerTimothy Pearson <kb9vqf@pearsoncomputing.net>2013-03-28 14:13:18 -0500
commit4bc22e8b188aa26df8b1a23c39bb0f3c5b05b8b6 (patch)
treec6f53decaabed9678523a8bbd6a1000a9f3bf78f /ubuntu/raring/tdebase/debian/prune-nonfree
parent211d261d7778de1d9a773e7ec43a4e97b4bd7e57 (diff)
downloadtde-packaging-4bc22e8b188aa26df8b1a23c39bb0f3c5b05b8b6.tar.gz
tde-packaging-4bc22e8b188aa26df8b1a23c39bb0f3c5b05b8b6.zip
Split raring packaging into new directory due to defoma changes
Diffstat (limited to 'ubuntu/raring/tdebase/debian/prune-nonfree')
-rw-r--r--ubuntu/raring/tdebase/debian/prune-nonfree21
1 files changed, 21 insertions, 0 deletions
diff --git a/ubuntu/raring/tdebase/debian/prune-nonfree b/ubuntu/raring/tdebase/debian/prune-nonfree
new file mode 100644
index 000000000..4fa832d5c
--- /dev/null
+++ b/ubuntu/raring/tdebase/debian/prune-nonfree
@@ -0,0 +1,21 @@
+#!/bin/sh -e
+
+# Removes non-free files from the source tree. Must be done before
+# creating the orig.tar.gz.
+
+TOPLEVEL="$1"
+
+if [ "$TOPLEVEL" = "" ]; then
+ echo "Please provide the toplevel directory as the argument."
+ exit 1
+else
+ rm -f $TOPLEVEL/kcontrol/energy/pics/energybig.png
+ rm -f $TOPLEVEL/kcontrol/energy/pics/lo-energy.png
+ rm -f $TOPLEVEL/kcontrol/pics/cr128-app-energy_star.png
+ rm -f $TOPLEVEL/kcontrol/pics/cr16-app-energy_star.png
+ rm -f $TOPLEVEL/kcontrol/pics/cr32-app-energy_star.png
+ rm -f $TOPLEVEL/kcontrol/pics/cr48-app-energy_star.png
+ rm -f $TOPLEVEL/kcontrol/pics/cr64-app-energy_star.png
+fi
+
+exit 0